import { StudioTemplateProperty, StudioTemplatePropertyType } from "../../../../common/studio/studio-model";
import { Entity, ProjectModel } from "../../../../common/model/cuba-model";
import { YeomanGenerator } from "../../../YeomanGenerator";
export interface StringIdAnswers {
    listShowIdAttr?: boolean;
    listIdAttrPos?: number;
    editIdAttrPos?: number;
    idAttrName?: string;
}
export declare const questionShowIdInList: StudioTemplateProperty;
export declare const questionIdPositionInList: StudioTemplateProperty;
export declare const questionIdPositionInEdit: StudioTemplateProperty;
export declare const questionIdAttrName: {
    code: string;
    caption: string;
    propertyType: StudioTemplatePropertyType;
    required: boolean;
};
export declare const stringIdQuestions: (StudioTemplateProperty | {
    code: string;
    caption: string;
    propertyType: StudioTemplatePropertyType;
    required: boolean;
})[];
/**
 * Pass false as editIdPositionQuestion to disable asking this question
 */
export interface StringIdQuestions {
    idAttrNameQuestion?: StudioTemplateProperty;
    listShowIdQuestion?: StudioTemplateProperty;
    listIdPositionQuestion?: StudioTemplateProperty;
    editIdPositionQuestion?: StudioTemplateProperty | false;
}
export declare function askStringIdQuestions(entity: Entity, projectModel: ProjectModel, gen: YeomanGenerator, questions?: StringIdQuestions): Promise<StringIdAnswers>;
