"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.amplicodeGetGraphQLSchema = void 0;
const path = __importStar(require("path"));
const fs = __importStar(require("fs"));
const load_1 = require("@graphql-tools/load");
const amplicodeGetGraphQLSchema = async (options, invocationDir) => {
    if (options.schema.length < 1) {
        throw new Error(`GraphQL schema not passed in options`);
    }
    const schemaPaths = options.schema[0];
    const schemaStringArray = [];
    for (const schemaPath of schemaPaths) {
        const absolutePath = path.isAbsolute(schemaPath) ? schemaPath : path.join(invocationDir, schemaPath);
        schemaStringArray.push(await readSchemaFile(absolutePath));
    }
    // Schema files should be SDL format, introspection JSON format is not supported
    return await load_1.loadSchema(schemaStringArray, { loaders: [] });
};
exports.amplicodeGetGraphQLSchema = amplicodeGetGraphQLSchema;
async function readSchemaFile(schemaPathAbsolute) {
    if (!fs.existsSync(schemaPathAbsolute)) {
        throw new Error(`GraphQL schema not found at "${schemaPathAbsolute}"`);
    }
    return fs.readFileSync(schemaPathAbsolute, 'utf-8');
}
//# sourceMappingURL=amplicodeGetGraphQLSchema.js.map