"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getEntityName = void 0;
function getEntityName(queryName, schema) {
    const type = schema.getQueryType()?.getFields()?.[queryName]?.type;
    if (type == null) {
        throw new Error(`queryName: ${queryName}, cannot find type in field: ${JSON.stringify(schema.getQueryType()?.getFields()?.[queryName])}`);
    }
    if ('ofType' in type) {
        return type.ofType.name;
    }
    return type.name;
}
exports.getEntityName = getEntityName;
//# sourceMappingURL=getEntityName.js.map