import { RestQuery } from "../../../../../../common/model/cuba-model";
import { CreateItemResult } from "./services-generation";
import { ModelContext } from "../model/model-utils";
export declare function generateQueries(restQueries: RestQuery[], ctx: ModelContext): string;
/**
 * Call example:
 *        restQueries.Car.carsByType(cubaApp, fetchOpts?)(params?)
 *        restQueries.Car.carsByTypeCount(cubaApp, fetchOpts?)(params?)
 *        restQueries.Car.carsByTypeWithCount(cubaApp, fetchOpts?)(params?)
 *
 * Cuba REST call:
 *        cubaApp.query("mpg$Car", "carsByType", params, fetchOpts);
 *        cubaApp.queryCount("mpg$Car", "carsByType", params, fetchOpts);
 *        cubaApp.queryWithCount("mpg$Car", "carsByType", params, fetchOpts);
 */
export declare function createQuery(entityName: string, queries: RestQuery[], ctx: ModelContext): CreateItemResult;
