"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const chai_1 = require("chai");
const to_fat_snake_case_1 = require("./to-fat-snake-case");
describe('toFatSnakeCase()', () => {
    it('works with camelCase', () => {
        chai_1.expect(to_fat_snake_case_1.toFatSnakeCase('carList')).eq('CAR_LIST');
        chai_1.expect(to_fat_snake_case_1.toFatSnakeCase('someLongerString')).eq('SOME_LONGER_STRING');
        chai_1.expect(to_fat_snake_case_1.toFatSnakeCase('endsWithX')).eq('ENDS_WITH_X');
    });
    it('works with PascalCase', () => {
        chai_1.expect(to_fat_snake_case_1.toFatSnakeCase('CarList')).eq('CAR_LIST');
        chai_1.expect(to_fat_snake_case_1.toFatSnakeCase('Car')).eq('CAR');
    });
    it('works with lowercase', () => {
        chai_1.expect(to_fat_snake_case_1.toFatSnakeCase('car')).eq('CAR');
    });
    it('works with empty string', () => {
        chai_1.expect(to_fat_snake_case_1.toFatSnakeCase('')).eq('');
    });
});
//# sourceMappingURL=to-fat-snake-case.test.js.map