"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const test_commons_1 = require("../../../test/test-commons");
const template_model_1 = require("./template-model");
const graphql_tag_1 = __importDefault(require("graphql-tag"));
const chai_1 = require("chai");
describe('entity-details template-model stage', async () => {
    let schema;
    before(async () => {
        schema = await test_commons_1.getMockSchema();
    });
    it('deriveGraphQLEditorModel finds entityName for type', () => {
        const templateModel = template_model_1.deriveGraphQLEditorModel(QUERY_NODE, 'id', schema);
        chai_1.expect(templateModel.attributes.find(a => a.name === 'type')?.type).to.eq('PetTypeDTO');
    });
});
const QUERY_NODE = graphql_tag_1.default(`
  query Get_Pet($id: BigInteger) {
    pet(id: $id) {
      id
      identificationNumber
      birthDate
      type {
        id
        name
      }
      owner {
        id
        firstName
        lastName
      }
    }
  }
`);
//# sourceMappingURL=template-model.test.js.map