import { UtilTemplateModel } from "../../../building-blocks/stages/template-model/pieces/util";
import { AmplicodeTemplateModelStage } from "../../../building-blocks/pipelines/amplicodePipeline";
import { AmplicodeComponentOptions } from "../../../building-blocks/stages/options/pieces/amplicode";
import { EntityListMode, EntityListAnswers, EntityListType } from "./answers";
import { GraphQLSchema } from "graphql";
import { BaseTemplateModel } from "../../../building-blocks/stages/template-model/pieces/amplicode/BaseTemplateModel";
import { ScreenTemplateModel } from "../../../building-blocks/stages/template-model/pieces/amplicode/ScreenTemplateModel";
import { AttributeModel } from "../../../building-blocks/stages/template-model/pieces/entity";
export interface EntityListTemplateModel extends BaseTemplateModel, UtilTemplateModel, ScreenTemplateModel, FiltersTemplateModel {
    queryName: string;
    route: string;
    queryString: string;
    deleteMutationName?: string;
    deleteMutationString?: string;
    idField: string;
    type: EntityListType;
    mode: EntityListMode;
    attributes: AttributeModel[];
    allAttributes: string[];
    itemComponentName?: string;
    refetchQuery: string;
    entityName: string;
}
export declare const deriveEntityListTemplateModel: AmplicodeTemplateModelStage<AmplicodeComponentOptions, EntityListAnswers, EntityListTemplateModel>;
interface EntityFilterData {
    argumentName: string | string[];
    caption: string;
    type: string;
}
export interface FiltersTemplateModel {
    filters: EntityFilterData[];
    withFilters: boolean;
    filterImports: {
        withFilterCheckbox: boolean;
        withFilterNumber: boolean;
        withFilterString: boolean;
        withFilterDate: boolean;
    };
}
export declare function deriveFiltersTemplateModel(queryName: string, filterByArguments: Array<string[]>, schema?: GraphQLSchema): FiltersTemplateModel;
export {};
