"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.deriveEntityLookupTemplateModel = void 0;
const util_1 = require("../../../building-blocks/stages/template-model/pieces/util");
const graphql_tag_1 = __importDefault(require("graphql-tag"));
const BaseTemplateModel_1 = require("../../../building-blocks/stages/template-model/pieces/amplicode/BaseTemplateModel");
const ScreenTemplateModel_1 = require("../../../building-blocks/stages/template-model/pieces/amplicode/ScreenTemplateModel");
const getEntityAttributes_1 = require("../../../building-blocks/stages/template-model/pieces/graphql-utils/getEntityAttributes");
const getEntityName_1 = require("../../../building-blocks/stages/template-model/pieces/graphql-utils/getEntityName");
const getAttributeNames_1 = require("../../../building-blocks/stages/template-model/pieces/graphql-utils/getAttributeNames");
const getTopFieldName_1 = require("../../../building-blocks/stages/template-model/pieces/graphql-utils/getTopFieldName");
const deriveEntityLookupTemplateModel = async (options, answers, schema) => {
    if (schema == null) {
        throw new Error('Schema not found');
    }
    const { componentName, route, query: queryString, idField = 'id', } = answers;
    const queryNode = graphql_tag_1.default(queryString);
    const queryName = getTopFieldName_1.getTopFieldName(queryNode);
    const attributes = getEntityAttributes_1.getEntityAttributes(queryNode, schema, idField);
    const entityName = getEntityName_1.getEntityName(queryName, schema);
    const allAttributes = getAttributeNames_1.getAttributeNames(entityName, schema);
    return {
        ...BaseTemplateModel_1.baseTemplateModel,
        ...util_1.templateUtilities,
        ...ScreenTemplateModel_1.deriveScreenTemplateModel(options, answers, schema),
        componentName,
        route,
        queryName,
        queryString,
        attributes,
        allAttributes,
        idField,
        entityName
    };
};
exports.deriveEntityLookupTemplateModel = deriveEntityLookupTemplateModel;
//# sourceMappingURL=template-model.js.map