"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.deriveManagementTemplateModel = void 0;
const template_model_1 = require("../entity-details/template-model");
const graphql_tag_1 = __importDefault(require("graphql-tag"));
const BaseTemplateModel_1 = require("../../../building-blocks/stages/template-model/pieces/amplicode/BaseTemplateModel");
const util_1 = require("../../../building-blocks/stages/template-model/pieces/util");
const ScreenTemplateModel_1 = require("../../../building-blocks/stages/template-model/pieces/amplicode/ScreenTemplateModel");
const template_model_2 = require("../entity-list/template-model");
const getOperationDefinitionName_1 = require("../../../building-blocks/stages/template-model/pieces/graphql-utils/getOperationDefinitionName");
const deriveManagementTemplateModel = async (options, answers, schema) => {
    const { listComponentName, itemComponentName, route, type, mode, listQuery, detailsQuery, upsertMutation, deleteMutation, shouldAddToMenu, filterByArguments, listIdField, detailsIdField } = answers;
    const queryNode = graphql_tag_1.default(listQuery);
    const entityDetailsTemplateModel = await template_model_1.deriveEntityDetailsTemplateModel(options, {
        componentName: itemComponentName,
        route,
        query: detailsQuery,
        mutation: upsertMutation,
        shouldAddToMenu: false,
        refetchQueryName: getOperationDefinitionName_1.getOperationDefinitionName(queryNode),
        idField: detailsIdField
    }, schema);
    const entityListTemplateModel = await template_model_2.deriveEntityListTemplateModel(options, {
        componentName: listComponentName,
        route,
        type,
        mode,
        query: listQuery,
        mutation: deleteMutation,
        shouldAddToMenu: false,
        filterByArguments,
        idField: listIdField
    }, schema);
    entityListTemplateModel.itemComponentName = itemComponentName;
    return {
        ...BaseTemplateModel_1.baseTemplateModel,
        ...util_1.templateUtilities,
        ...ScreenTemplateModel_1.deriveScreenTemplateModel(options, { componentName: listComponentName + 'ScreenLayout', route, shouldAddToMenu }),
        menuItemName: listComponentName,
        entityListTemplateModel,
        entityDetailsTemplateModel
    };
};
exports.deriveManagementTemplateModel = deriveManagementTemplateModel;
//# sourceMappingURL=template-model.js.map