"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.generate = exports.opts = exports.cleanup = exports.GENERATORS_DEST_DIR = exports.GENERATORS_DIR = exports.SCHEMA2_PATH = exports.SCHEMA_PATH = void 0;
const yeoman_environment_1 = __importDefault(require("yeoman-environment"));
const path_1 = __importDefault(require("path"));
const fs_1 = __importDefault(require("fs"));
const util_1 = require("util");
const rimraf = util_1.promisify(require('rimraf'));
const SCHEMA_DIR_PATH = path_1.default.join(__dirname, '..', '..', '..', '..', '..', 'scripts', 'schema');
exports.SCHEMA_PATH = path_1.default.join(SCHEMA_DIR_PATH, 'schema.graphql');
exports.SCHEMA2_PATH = path_1.default.join(SCHEMA_DIR_PATH, 'defaultaddon.graphqls');
exports.GENERATORS_DIR = path_1.default.join(process.cwd(), 'src', 'generators', 'react-typescript');
exports.GENERATORS_DEST_DIR = path_1.default.join(process.cwd(), 'src', 'test', 'generated', 'generators', 'react-typescript');
async function cleanup(destDir) {
    await rimraf(`${destDir}/{*,.*}`);
    !fs_1.default.existsSync(destDir) && fs_1.default.mkdirSync(destDir, { recursive: true });
    // avoid exception on read i18n messages in mvp.ts, create file first TODO - fix in mpv.ts 'addScreenI18nKeyEn'
    fs_1.default.mkdirSync(path_1.default.join(destDir, 'core', 'i18n', 'messages'), { recursive: true });
    fs_1.default.writeFileSync(path_1.default.join(destDir, 'core', 'i18n', 'messages', 'en.json'), '{}');
}
exports.cleanup = cleanup;
function opts(dir, answers, schema) {
    return {
        schema: schema,
        dest: dir,
        debug: true,
        answers: Buffer.from(JSON.stringify(answers)).toString('base64')
    };
}
exports.opts = opts;
async function generate(generatorPath, options, templateOverride) {
    const env = new yeoman_environment_1.default();
    const { generator } = await Promise.resolve().then(() => __importStar(require(generatorPath)));
    env.registerStub(generator, generator.name);
    return env.run(generator.name, {
        templateOverride,
        ...options
    });
}
exports.generate = generate;
//# sourceMappingURL=commons.js.map