"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const path_1 = __importDefault(require("path"));
const commons_1 = require("../../commons");
const fs_1 = __importDefault(require("fs"));
const test_commons_1 = require("../../../test-commons");
const chai_1 = require("chai");
const DEST_DIR = path_1.default.join(commons_1.GENERATORS_DEST_DIR, 'blank');
const GENERATOR_DIR = path_1.default.join(commons_1.GENERATORS_DIR, 'blank');
const answers = {
    componentName: 'BlankComponent',
    shouldAddToMenu: false
};
const componentPath = path_1.default.join(DEST_DIR, 'BlankComponent.tsx');
describe('codegen blank component test', () => {
    it('should generate blank component ', async () => {
        await commons_1.cleanup(DEST_DIR);
        chai_1.expect(!fs_1.default.existsSync(componentPath));
        await commons_1.generate(GENERATOR_DIR, commons_1.opts(DEST_DIR, answers, [commons_1.SCHEMA_PATH]));
        const expectedContent = `
      export function BlankComponent() {
        return <div>BlankComponent</div>;
      }`;
        const componentFile = fs_1.default.readFileSync(componentPath, 'utf-8');
        test_commons_1.expectFileContainsIgnoreSpace(componentFile, expectedContent);
    });
});
//# sourceMappingURL=blank-component.test.js.map