export declare const notNullScalarsListQuery = "\nquery Get_NN_Scalars_List {\n    notNullScalarsTestEntityList {\n      id\n      bigDecimalNotNull\n      bigIntNotNull\n      dateTestNotNull\n      localDateNotNull\n      localDateTimeNotNull\n      localTimeNotNull\n      offsetDateTimeNotNull\n      offsetTimeNotNull\n      stringNotNull\n      urlNotNull\n    }\n  }";
export declare const notNullScalarsDeleteMutation = "\nmutation Delete_NN_Scalars($id: ID!) {\n    deleteNotNullScalarsTestEntity(id: $id)\n  }";
export declare const notNullScalarsDetailsQuery = "\nquery Get_NN_Scalars($id: ID) {\n    notNullScalarsTestEntity(id: $id) {\n      id\n      bigDecimalNotNull\n      bigIntNotNull\n      dateTestNotNull\n      localDateNotNull\n      localDateTimeNotNull\n      localTimeNotNull\n      offsetDateTimeNotNull\n      offsetTimeNotNull\n      stringNotNull\n      urlNotNull\n    }\n  }";
export declare const notNullScalarsUpsertMutation = "\nmutation Update_NN_Scalars($input: NotNullScalarsTestEntityInput) {\n    updateNotNullScalarsTestEntity(input: $input) {\n      id\n    }\n  }";
export declare const getOwnerQuery = "\nquery Get_Owner($id: BigInteger) {\n  owner(id: $id) {\n    id\n    firstName\n    lastName\n    city\n    address\n    email\n    telephone\n  }\n}\n";
export declare const ownerUpsertMutation = "\nmutation Update_Owner($input: OwnerInputDTO) {\n  update_Owner(input: $input) {\n    id\n  }\n}\n";
export declare const ownerListQuery = "\nquery Get_Owner_List {\n  ownerList {\n    id\n    firstName\n    lastName\n    city\n    address\n    telephone\n    email\n  }\n}\n";
export declare const ownerListQueryWithFilter = "\nquery Get_Owner_List_With_Filter($filter: OwnerFilterInput) {\n  ownerByNamesList(filter: $filter) {\n    id\n    firstName\n    lastName\n    city\n    address\n    telephone\n    email\n  }\n}";
export declare const ownerDetailsQuery = "\nquery Get_Owner($id: BigInteger) {\n  owner(id: $id) {\n    id\n    firstName\n    lastName\n    city\n    address\n    telephone\n    email\n  }\n}\n";
export declare const ownerDeleteMutation = "\nmutation Delete_Owner($id: BigInteger!) {\n  delete_Owner(id: $id)\n}\n";
export declare const petListQuery = "\nquery Get_Pet_List {\n  petList {\n    id\n    identificationNumber\n    birthDate\n    type {\n      id\n      name\n    }\n    owner {\n      id\n      firstName\n      lastName\n    }\n  }\n}\n";
export declare const petDeleteMutation = "\nmutation Delete_Pet($id: BigInteger!) {\n  delete_Pet(id: $id)\n}\n";
export declare const petDetailsQuery = "\nquery Get_Pet($id: BigInteger) {\n  pet(id: $id) {\n    id\n    identificationNumber\n    birthDate\n    type {\n      id\n      name\n    }\n    owner {\n      id\n      firstName\n      lastName\n    }\n  }\n}\n";
export declare const scalarsListQuery = "query Get_Scalars_List {\n    scalarsTestEntityList {\n      id\n      intTest\n      intPrimitive\n      byteTest\n      bytePrimitive\n      shortTest\n      shortPrimitive\n      doubleTest\n      doublePrimitive\n      floatTest\n      floatPrimitive\n      string\n      bool\n      boolPrimitive\n      bigInt\n      longTest\n      longPrimitive\n      bigDecimal\n      localDate\n      localDateTime\n      localTime\n      offsetDateTime\n      offsetTime\n      dateTest\n      url\n    }\n  }";
export declare const scalarsDetailsQuery = "query Get_Scalars($id: ID) {\n    scalarsTestEntity(id: $id) {\n      id\n      intTest\n      intPrimitive\n      byteTest\n      bytePrimitive\n      shortTest\n      shortPrimitive\n      doubleTest\n      doublePrimitive\n      floatTest\n      floatPrimitive\n      string\n      bool\n      boolPrimitive\n      bigInt\n      longTest\n      longPrimitive\n      bigDecimal\n      localDate\n      localDateTime\n      localTime\n      offsetDateTime\n      offsetTime\n      dateTest\n      url\n    }\n  }";
export declare const scalarsDeleteMutation = "mutation Delete_Scalars($id: ID!) {\n    deleteScalarsTestEntity(id: $id)\n  }";
export declare const scalarsUpsertMutation = "mutation Update_Scalars($input: ScalarsTestEntityInput) {\n    updateScalarsTestEntity(input: $input) {\n      id\n    }\n  }";
