"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const path_1 = __importDefault(require("path"));
const commons_1 = require("../../commons");
const chai_1 = require("chai");
const fs_1 = __importDefault(require("fs"));
const GENERATOR_DIR = path_1.default.join(commons_1.GENERATORS_DIR, 'update-schema');
const DEST_DIR = path_1.default.join(commons_1.GENERATORS_DEST_DIR, 'update-schema');
describe('codegen update schema', async () => {
    before(async () => { await commons_1.cleanup(DEST_DIR); });
    it('should update bundled schema', async () => {
        const bundledSchemaPath = path_1.default.join(DEST_DIR, 'src', 'core', 'schema', 'schema.graphql');
        // check that cleanup is completed, before test start
        chai_1.expect(fs_1.default.existsSync(bundledSchemaPath)).to.be.false;
        let bundledSchema;
        // Single schema file
        await commons_1.generate(GENERATOR_DIR, commons_1.opts(DEST_DIR, {}, [commons_1.SCHEMA_PATH]));
        bundledSchema = fs_1.default.readFileSync(bundledSchemaPath, 'utf-8');
        chai_1.expect(bundledSchema).to.contain('type PetDTO');
        chai_1.expect(bundledSchema).to.not.contain('type TestEntity');
        // Composite schema
        await commons_1.generate(GENERATOR_DIR, commons_1.opts(DEST_DIR, {}, [commons_1.SCHEMA_PATH, commons_1.SCHEMA2_PATH]));
        bundledSchema = fs_1.default.readFileSync(bundledSchemaPath, 'utf-8');
        chai_1.expect(bundledSchema).to.contain('type PetDTO');
        chai_1.expect(bundledSchema).to.contain('type TestEntity');
    });
});
//# sourceMappingURL=update-schema.test.js.map